package md

type CentralKitchenForSchoolOrderRefundListResp struct {
	Id               int    `json:"id" label:"退款id"`
	OutTradeNo       string `json:"out_trade_no" label:"订单号"`
	OutRequestNo     string `json:"out_request_no" label:"退款请求号"`
	Name             string `json:"name" label:"姓名"`
	Phone            string `json:"phone" label:"用户电话"`
	EnterpriseName   string `json:"enterprise_name" label:"学校名称"`
	ClassName        string `json:"class_name" label:"班级名称"`
	GradeName        string `json:"grade_name" label:"年纪名称"`
	Kind             int    `json:"kind" label:"订餐类型"`
	UserIdentityKind int    `json:"user_identity_kind" label:"用户类型"`
	Amount           string `json:"amount" label:"退款金额"`
	State            int    `json:"state" label:"退款订单状态"`
	CreateAt         string `json:"create_at" label:"申请时间"`
	RefundTime       string `json:"refund_time" label:"退订时间"`
	RefundDate       string `json:"refund_date" label:"退款时间"`
	Memo             string `json:"memo" label:"备注"`
}

type CentralKitchenForSchoolOrderRefundListReq struct {
	EnterpriseId    int    `json:"enterprise_id" label:"单位id"`
	Phone           string `json:"phone" label:"用户电话"`
	Name            string `json:"name" label:"名称"`
	Kind            int    `json:"kind" label:"订餐类型"`
	State           int    `json:"state" label:"退款订单状态"`
	StartDate       string `json:"start_date" label:"开始时间"`
	EndDate         string `json:"end_date" label:"截止时间"`
	StartRefundTime string `json:"start_refund_time" label:"开始-退订时间"`
	EndRefundTime   string `json:"end_refund_time" label:"截止-退订时间"`
	OutTradeNo      string `json:"out_trade_no" label:"订单号"`
	OutRequestNo    string `json:"out_request_no" label:"退款请求号"`
	GradeId         int    `json:"grade_id" label:"年级"`
	ClassId         int    `json:"class_id" label:"班级"`
	IsTeacher       int    `json:"is_teacher" label:"是否教师(0:全部 1:是 2:否)"`
	Limit           int    `json:"limit"`
	Page            int    `json:"page"`
}

type CentralKitchenForSchoolOrderRefundAuditReq struct {
	Ids   []string `json:"ids" label:"退款记录id"`
	State int      `json:"state" label:"审核状态"`
	Memo  string   `json:"memo" label:"备注"`
}
