package model

type NursingHomeSet struct {
	Id                       int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	EnterpriseId             int    `json:"enterprise_id" xorm:"not null default 0 comment('所属单位id') INT(11)"`
	IsOpenReportMealForDay   int    `json:"is_open_report_meal_for_day" xorm:"not null default 1 comment('开启按天报餐(1:开启 2:关闭)') TINYINT(1)"`
	IsOpenReportMealForMonth int    `json:"is_open_report_meal_for_month" xorm:"not null default 1 comment('开启按月报餐(1:开启 2:关闭)') TINYINT(1)"`
	IsOpenReportMealForYear  int    `json:"is_open_report_meal_for_year" xorm:"not null default 1 comment('开启按年报餐(1:开启 2:关闭)') TINYINT(1)"`
	CreateAt                 string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt                 string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
